Skip to main content
POST
Market liquidity history

Authorizations

Authorization
string
header
required

Your Hypedexer API key, sent as Authorization: Bearer <key>. The X-API-Key: <key> header and the api_key query parameter are accepted as well.

Body

application/json
type
enum<string>
required
Available options:
marketLiquidityHistory
coin
string
required

Coin, e.g. BTC

startTime
integer

Epoch ms. Optional

endTime
integer

Epoch ms. Optional

limit
integer
default:1000
Required range: 1 <= x <= 10000

Response

Samples, oldest first

time
integer
coin
string
midPx
string
spreadBps
number
depth
object
slippageBps
object

Slippage in basis points of a market order of 10k, 100k and 1M USD